import { GraphQLResolveInfo, GraphQLObjectType, FieldNode, SelectionSetNode } from 'graphql';
import { DBQuery, Plugin } from './types';
declare type CommonExtractionParams = {
    info: GraphQLResolveInfo;
    parentQuery: DBQuery | undefined;
    parentType: GraphQLObjectType;
    path: string[];
    plugins: {
        [directiveName: string]: Plugin;
    };
    argumentResolvers: {
        [path: string]: any;
    };
};
export declare const extractQueriesFromResolveInfo: ({ info, plugins, argumentResolvers, }: {
    info: GraphQLResolveInfo;
    plugins?: {
        [directiveName: string]: Plugin;
    } | undefined;
    argumentResolvers?: {
        [path: string]: any;
    } | undefined;
}) => DBQuery | null;
export declare const extractQueriesFromField: ({ info, parentQuery, parentType, field, path, plugins, argumentResolvers, }: CommonExtractionParams & {
    field: FieldNode;
}) => DBQuery | null;
export declare const extractQueriesFromSelectionSet: ({ selectionSet, path, ...rest }: CommonExtractionParams & {
    selectionSet: SelectionSetNode;
}) => {
    [field: string]: DBQuery | null;
};
export {};
